# Class LogManager

Manages loggers and log settings for an application.

#####
Index

### Constructors

constructor

### Properties

factory

### Methods

getLogger
getLogLevel
setLogLevel

##
Constructors

### constructor

- new LogManager(): LogManager

- #### Returns LogManager

##
Properties

### factory

factory: LoggerFactory

A custom factory used to create new loggers. By default, the log manager will create instances of ConsoleLogger.

##
Methods

### getLogger

- getLogger(name): Logger

- Gets the logger uniquely identified by name.

  #### Parameters

  - name: string

    Name of the logger to be created/returned.

  #### Returns Logger

### getLogLevel

- getLogLevel(name): LogLevel

- Gets the effective log level for a logger or namespace.

  #### Parameters

  - name: string

    The name of the logger or namespace.

  #### Returns LogLevel

### setLogLevel

- setLogLevel(name, logLevel): void

- Sets the log level for a logger or namespace.

  #### Parameters

  - name: string

    The name to set the log level for. This can be the name of a specific logger, or a "namespace" (prefix for a logger name), in which case it applies to all loggers in that namespace. For example, if you set the log level for "gcx.api" to WARN, then only warnings or higher will be logged for any logger whose name begins with "gcx.api". You can specify the special name "root" which applies to all loggers.

  - logLevel: LogLevel

    The log level.

  #### Returns void